"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const boa = require('@pipcook/boa');
const sys = boa.import('sys');
const createDataset = (dataLoader, metaData) => __awaiter(void 0, void 0, void 0, function* () {
    const rawData = [];
    const rawClass = [];
    const count = yield dataLoader.len();
    for (let i = 0; i < count; i++) {
        const data = yield dataLoader.getItem(i);
        rawData.push(data.data[metaData.feature.featureNames[0]]);
        rawClass.push(data.label);
    }
    return { rawData, rawClass };
});
const bayesianModelEvaluate = (data, model, args) => __awaiter(void 0, void 0, void 0, function* () {
    sys.path.insert(0, path.join(__dirname, 'assets'));
    const module = boa.import('script');
    const importlib = boa.import('importlib');
    importlib.reload(module);
    const { modelDir } = args;
    const { testLoader, metaData } = data;
    const classifier = model.model;
    const { rawData, rawClass } = yield createDataset(testLoader, metaData);
    const { TextProcessing, TextFeatures, get_all_words_list } = boa.import('script');
    const text_list = TextProcessing(rawData, rawClass);
    const feature_words = get_all_words_list(path.join(modelDir, 'feature_words.pkl'));
    const feature_list = TextFeatures(text_list[1], feature_words);
    const test_accuracy = classifier.score(feature_list, text_list[2]);
    return {
        accuracy: test_accuracy
    };
});
exports.default = bayesianModelEvaluate;
//# sourceMappingURL=index.js.map